Update a specific version of a prompt
curl --request PUT \
--url https://api.portkey.ai/v1/prompts/{promptId}/versions/{versionId} \
--header 'Content-Type: application/json' \
--header 'x-portkey-api-key: <api-key>' \
--data '
{
"label_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'{}Update Prompt Version
Updates metadata for a specific prompt version. This endpoint only supports updating the label_id field.
Prompt versions are immutable — their string, parameters, and model content cannot be changed after creation. To update prompt content, use PUT /prompts/{promptId} which creates a new version with the updated content.
PUT
/
prompts
/
{promptId}
/
versions
/
{versionId}
Update a specific version of a prompt
curl --request PUT \
--url https://api.portkey.ai/v1/prompts/{promptId}/versions/{versionId} \
--header 'Content-Type: application/json' \
--header 'x-portkey-api-key: <api-key>' \
--data '
{
"label_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'{}Documentation Index
Fetch the complete documentation index at: https://portkey-docs-feat-byteplus-provider.mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
Last modified on May 24, 2026
Was this page helpful?
⌘I

